{% extends 'reports/base.html' %}
{% load crm_utils %}

{% load static %}
{% block content %}


    {% block page_heading %}{% endblock %}
        <div class="container-fluid">
        <div class="card shadow mb-4">
            <div class="card-header py-3">
              <h6 class="m-0 font-weight-bold text-primary"></h6>
            </div>
            <div class="card-body">
              <div class="table-responsive">
                <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                  <thead>
                    <tr>
                      <th>Абонемент</th>
                      <th>Продолжительность абонемента</th>
                      <th>Количество проданных</th>
                      <th>Количество доплат</th>
                      <th>Доход</th>
                    </tr>
                  </thead>
                  <tbody>
                  <div class="total-info">
                      <div class="abon-count">
                          <h5>Общее количество проданных абонементов {{ total_data.total_sales_abon_count }}</h5>
                      </div>

                      <div class="count-payments">
                          <h5>Общее количество доплат {{ total_data.total_count_payments }}</h5>
                      </div>

                      <div class="total-sum">
                          <h5>Общая сумма {{ total_data.total_sum }}</h5>
                      </div>
                  </div>
                  {% for data in report_data %}
                      <tr>
                        <td>{{ data.abonement }}</td>
                        <td>{{ data.duration }}</td>
                        <td>{{ data.sales_count }}</td>
                        <td>{{ data.count_payment_by_installment }}</td>
                        <td>{{ data.income_money }}</td>
                      </tr>
                      {% empty %}
                        {% include 'no_data.html' %}
                  {% endfor %}
                  </tbody>
                </table>

        </div>


{% endblock %}

{% block custom_includes %}
    {{ block.super }}
{% endblock %}